<?php
//include "menu.php";
include "connect_casandra.php";
?>

<div id="cluster_selection">
	<?php if (count($cluster_details) > 1): ?>
		Select a cluster:
		<select name="cluster" id="cluster" onchange="applyClusterChange();">
			<?php foreach ($cluster_details as $index => $one_cluster): ?>
				<?php $current_cluster_name = $cluster_helper->getClusterNameForIndex($index); ?>
				<?php if (!is_null($current_cluster_name)): ?><option value="<?php echo $index?>" <?php if ($cluster_helper->getClusterIndex() == $index): echo 'selected="selected"'; endif; ?>><?php echo $current_cluster_name?></option><?php endif; ?>
			<?php endforeach; ?>
		</select>
	<?php endif; ?>
</div>


<div id="cluster_info">
	<h3>Cluster Name: <?php echo $cluster_name; ?></h3>

	Cluster Partitioner: <?php echo $partitioner; ?><br />
	Cluster Snitch: <?php echo $snitch; ?><br />
	Thrift API Version: <?php echo $thrift_api_version; ?><br />
        Schema Versions: <br />
        <table width="100%" class="cluster-status">
        <?php
                foreach ($schema_version as $version => $servers) {
                        foreach ($servers as $server) {
                                echo '<tr>';
                                if ($version == 'UNREACHABLE')
                                        echo "<td class=node-down>&#215;</td><td>$server</td><td>$version</td>";
                                else
                                        echo "<td class=node-ok>&#10003;</td><td>$server</td><td>$version</td>";
                                echo '</tr>';
                        }
                }
        ?>
        </table>
</div>
